services:
  untrack_email_storage.processor:
    class: Drupal\untrack_email_storage\UntrackEmailProcessor
    arguments:
      - '@untrack_email_storage.analyzer'
      - '@untrack_email_storage.domain_extractor'
      - '@untrack_email_storage.email_to_sender'
  untrack_email_storage.domain_extractor:
    class: Drupal\untrack_email_storage\DomainExtractor
    arguments:
      - '@domainparser.provider'
  untrack_email_storage.email_to_sender:
    class: Drupal\untrack_email_storage\Email\EmailToSenderService
    arguments:
      - '@email_factory'
  untrack_email_storage.analyzer:
    class: Geeks4change\UntrackEmailAnalyzer\Analyzer2\Analyzer2
    factory: '\Geeks4change\UntrackEmailAnalyzer\Api::getAnalyzer2'
    arguments: []
  untrack_email_storage.analyzer.debug:
    class: Geeks4change\UntrackEmailAnalyzer\Analyzer\Analyzer
    factory: '\Geeks4change\UntrackEmailAnalyzer\Api::getDebugAnalyzer'
    arguments: []
  untrack_email_storage.route_subscriber:
    class: Drupal\untrack_email_storage\Entity\Access\UteRouteSubscriber
    arguments: []
    tags:
      - { name: event_subscriber }
